CREATE TABLE hes_sponsor_agreements_all_tl (
    SPONSOR_AGREEMENT_ID           NUMBER(18, 0),
    LANGUAGE                       VARCHAR2(16) ,
    SOURCE_LANG                    VARCHAR2(16)     NOT NULL,
    SPONSOR_AGREEMENT_NAME         VARCHAR2(200)    NOT NULL,
    AGREEMENT_SHORT_DESCRIPTION    VARCHAR2(960),
    AGREEMENT_LONG_DESCRIPTION     CLOB         ,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    SPONSOR_AGREEMENT_ID           NUMBER(18, 0),
    LANGUAGE                       VARCHAR2(16) ,
    SOURCE_LANG                    VARCHAR2(16)     NOT NULL,
    SPONSOR_AGREEMENT_NAME         VARCHAR2(200)    NOT NULL,
    AGREEMENT_SHORT_DESCRIPTION    VARCHAR2(960),
    AGREEMENT_LONG_DESCRIPTION     CLOB         ,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_hes_sponsor_agreements_all_tl PRIMARY KEY (SPONSOR_AGREEMENT_ID, LANGUAGE, SPONSOR_AGREEMENT_ID, LANGUAGE)
);
